import Component from '@glimmer/component'
import { tracked } from '@glimmer/tracking'

export interface AuthRegistrationFormSignature {
  // The arguments accepted by the component
  Args: {
    username: string
  }
  // Any blocks yielded by the component
  Blocks: {
    default: []
  }
  // The element to which `...attributes` is applied in the component template
  Element: null
}

export default class AuthRegistrationForm extends Component<AuthRegistrationFormSignature> {
  @tracked displayname: string = this.args.username
  @tracked description: string = ''
  @tracked gender: Array<{ value: string }> = []
}
